## ros-indigo-household-objects-database 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(household_objects_database)

set(PACKAGE_DEPS
  household_objects_database_msgs
  manipulation_msgs
  sql_database
  roscpp
  tf
  actionlib 
)

find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPS})
find_package(Boost REQUIRED COMPONENTS filesystem system)

catkin_package(
  CATKIN_DEPENDS household_objects_database_msgs manipulation_msgs roscpp sql_database
  INCLUDE_DIRS include
  LIBRARIES mesh_loader ${PROJECT_NAME}
  )

include_directories(include ply ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# build some libraries
add_library(${PROJECT_NAME} 
  src/objects_database.cpp
  src/database_helper_classes.cpp
)
add_dependencies(${PROJECT_NAME}  ${catkin_EXPORTED_TARGETS})

add_library(mesh_loader 
  src/mesh_loader.cpp
  src/ply.c
)
install(TARGETS ${PROJECT_NAME} mesh_loader DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# build the executables
add_executable(objects_database_node 
  nodes/objects_database_node.cpp
)
target_link_libraries(objects_database_node ${PROJECT_NAME} ${catkin_LIBRARIES})

#add_executable(objects_database_node_simple
#  nodes/objects_database_node_simple.cpp
#)
#target_link_libraries(objects_database_node_simple ${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(insert_model 
  src/insert_model.cpp
)
target_link_libraries(insert_model ${PROJECT_NAME} mesh_loader boost_filesystem boost_system ${catkin_LIBRARIES})
install(TARGETS insert_model objects_database_node DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# install the scripts
install(PROGRAMS scripts/register.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# install the config folders
install(DIRECTORY config launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-household-objects-database (0.1.4-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matei Ciocarlie <matei.ciocarlie@gmail.com>  Mon, 23 Mar 2015 16:51:22 -0000

=== debian/control ===
Source: ros-indigo-household-objects-database
Section: misc
Priority: extra
Maintainer: Matei Ciocarlie <matei.ciocarlie@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-household-objects-database-msgs, ros-indigo-manipulation-msgs, ros-indigo-roscpp, ros-indigo-sql-database, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-household-objects-database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-household-objects-database-msgs, ros-indigo-manipulation-msgs, ros-indigo-roscpp, ros-indigo-rosgraph, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-sql-database
Description: Class definitions and a few convenience functions for interfacing with a specific SQL database, containing 3D models of a set of common household objects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-household-objects-database//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
